# Generated by go2rpm 1
%bcond_without check

# https://github.com/cosmos72/gomacro
%global goipath         github.com/cosmos72/gomacro
Version:                2.7
%global commit          b07014b0219685737289894cd4eecf04b07e20eb

%gometa

%global common_description %{expand:
Gomacro is an almost complete Go interpreter, implemented in pure Go. It offers
both an interactive REPL and a scripting mode, and does not require a Go
toolchain at runtime (except in one very specific case: import of a third party
package at runtime).}

%global golicenses      LICENSE
%global godocs          _example doc README.md TrickyGo.md

Name:           %{goname}
Release:        12%{?dist}
Summary:        Go interpreter and debugger with REPL, Eval, generics and Lisp-like macros

# Upstream license specification: MPL-2.0 and BSD-3-Clause
# Main: MPLv2.0, gls/ directory: BSD
License:        MPLv2.0 and BSD
URL:            %{gourl}
Source0:        %{gosource}
# Go 1.15: https://github.com/cosmos72/gomacro/issues/101
Patch0:         0001-Convert-to-string-using-rune.patch

BuildRequires:  golang(github.com/mattn/go-runewidth)
BuildRequires:  golang(github.com/peterh/liner)
BuildRequires:  golang(golang.org/x/tools/go/gcexportdata)
BuildRequires:  golang(golang.org/x/tools/go/packages)

%description
%{common_description}

%package -n gomacro
Summary:       Go interpreter and debugger with REPL, Eval, generics and Lisp-like macros

%description -n gomacro
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%build
%gobuild -o %{gobuilddir}/bin/gomacro %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d go/printer
%endif

%files -n gomacro
%license LICENSE
%doc _example doc README.md TrickyGo.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 25 18:55:49 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.7-11.20200725gitb07014b
- Bump to commit b07014b0219685737289894cd4eecf04b07e20eb

* Mon Feb 24 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7-10.20200224git30d4a5c
- Bump to commit 30d4a5c4b78943d743e4ef8d3c8ea85952011e22

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-9.20190923git4f667f8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7-8.20190923git4f667f8
- Bump to commit 4f667f811a6f35b3ac61e0f313a99c848e1cb94d

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-7.20190530git888963e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 16:05:34 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.7-6.20190530git888963e
- Bump to commit 888963e3d6540132aa44d7c0f6e5cb2aba993731

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 15 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.7-4
- SPEC refresh

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 2.7-3
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 09 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7-1
- First package for Fedora
